Anonymous Login
2019-04-21 15:50 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000645v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:53
Reporterpaul_rogers6 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000645: When tasks are imported from another project no reminders are added to the event queue
DescriptionWhen a new project is created and new tasks are imported from an existing project no entries are added to the event queue.
TagsNo tags attached.
Attached Files

-Relationships
related to 0000647closedtrevormorse v2.2 Release (Closed) When importing tasks into new project tasks start/end dates are not recalculated based on new project's start date 
+Relationships

-Notes

~0001372

paul_rogers6 (reporter)

There is no call to the addReminder() (modules/tasks/tasks.class.php) function in the importTasks() (modules/projects/projects.class.php) function.

A new line needs inserting between lines 296 & 297 (v2.1.0) thus:

    296 } // end of update dependencies
    --> $newTask->addReminder();
    297 $newTask->store($AppUI);
    298 } // end Fix record integrity

this adds the required call to the function.

An updated copy of the file /modules/projects/projects.class.php is included.

~0001629

caseydk (administrator)

Resolved in r1647
+Notes

-Issue History
Date Modified Username Field Change
2010-11-25 01:11 paul_rogers6 New Issue
2010-11-25 10:42 paul_rogers6 Note Added: 0001372
2010-11-25 10:43 paul_rogers6 File Added: projects.class.php
2010-12-03 10:33 caseydk Project v2.0 Release (Closed) => v2.2 Release (Closed)
2010-12-03 23:11 caseydk Relationship added related to 0000647
2010-12-15 21:55 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-02-15 20:07 caseydk Note Added: 0001629
2011-02-15 20:07 caseydk Status new => resolved
2011-02-15 20:07 caseydk Resolution open => fixed
2011-02-15 20:07 caseydk Assigned To => caseydk
2011-03-24 09:53 caseydk Fixed in Version => 2.3
2011-03-24 09:53 caseydk Status resolved => closed
+Issue History